# Pid (iCal4j VCard 0.9.5 API)
Date: 2012-01-29

net.fortuna.ical4j.vcard.parameter

## Class Pid

- java.lang.Object
- - net.fortuna.ical4j.vcard.Parameter
  - - net.fortuna.ical4j.vcard.parameter.Pid

All Implemented Interfaces:
  Serializable

    public final class Pid
    extends Parameter

PID parameter. $Id$ Created on 21/08/2008

Author:
  Ben
See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class net.fortuna.ical4j.vcard.Parameter

`Parameter.Id`

### Field Summary

Fields
`static ParameterFactory<Pid>` `FACTORY`

### Constructor Summary

Constructors
Constructor and Description
`Pid(Integer pid)`
`Pid(String value)`

### Method Summary

Methods
`Integer` `getPid()`
`String` `getValue()`

### Methods inherited from class net.fortuna.ical4j.vcard.Parameter

`equals, getId, hashCode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### FACTORY

    public static final ParameterFactory<Pid> FACTORY

### Constructor Detail

#### Pid

    public Pid(String value)

Parameters:
  `value` - a vCard-compliant string representation of a PID.

#### Pid

    public Pid(Integer pid)

Parameters:
  `pid` - integer representation of a PID

### Method Detail

#### getPid

    public Integer getPid()

Returns:
  the pid

#### getValue

    public String getValue()

Specified by:
  `getValue` in class `Parameter`
Returns:
  a string representation of the value of the parameter